Subject: Re: graphics/gle problems
To: None <>
From: Marc Baudoin <>
List: tech-pkg
Date: 10/04/2004 09:56:04
Martti Kuparinen <> écrit :
> I just updated my copy of the pkgsrc and started to rebuild almost
> everything on my Linux host. Currently I can't build gle:
> checking for glGetError in -lGL... yes
> checking for gluNewQuadric in -lGLU... no
> configure: error: Cannot find required GLU library
> *** Error code 1

Same problem on my NetBSD 2.0_BETA.

> >From config.log:
> configure:9279: checking for gluNewQuadric in -lGLU
> configure:9310: gcc -o conftest -O2 -I/usr/pkg/include -DGLX_GLXEXT_LEGACY 
> -Wall -I/usr/pkg/include -DGLX_GLXEXT_LEGACY -L/usr/pkg/lib 
> -Wl,-R/usr/pkg/lib -L/usr/X11R6/lib -Wl,-R/usr/X11R6/lib conftest.c -lGLU  
> -lSM -lICE -lGL  -L/usr/X11R6/lib -lX11   -lm >&5
> /usr/pkgsrc/graphics/gle/work/.buildlink/lib/ undefined reference 
> to `operator new[](unsigned)'

Looks like the test program should be compiled with a C++

graphics/gle compiled fine a few days ago.  I wonder if this
problem could be related somehow to yesterday's libtool changes
(I noticed it after I updated pkgsrc with the libtool changes).

The annoying thing is that xscreensaver depends on gle...